> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# V0 - Update definitions



## OpenAPI

````yaml openapi/findity-admin-api-1.json PUT /organizations/{internalId}/customfields/
openapi: 3.0.3
info:
  title: Findity Admin API
  description: ''
  version: 1.0.0
  contact:
    name: Findity Support
    email: support@findity.com
servers:
  - url: https://stage-expense.findity.com/api/admin
    description: Stage environment
  - url: https://expense.findity.com/api/admin
    description: Production environment
security:
  - bearerAuth: []
paths:
  /organizations/{internalId}/customfields/:
    put:
      tags:
        - custom fields definitions
      summary: V0 - Update definitions
      operationId: 15530c1b-c3fc-4f4b-9d5e-a300ee008c04
      parameters:
        - $ref: '#/components/parameters/internalId'
        - name: X-Findity-ApiVersion
          in: header
          schema:
            type: string
            default: '3'
            description: ''
        - name: Content-Type
          in: header
          schema:
            type: string
            default: text/plain; charset=utf-8
            description: ''
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                    example: 4028812f65a9e76f0165a9f24bbc0000
                  container:
                    type: string
                    example: RECEIPT_VERIFICATION
                  name:
                    type: string
                    example: Dimension 1
                  dataType:
                    type: string
                    example: STRING
                  mandatory:
                    type: boolean
                    example: false
                  visible:
                    type: boolean
                    example: true
                  sortOrder:
                    type: integer
                    example: 21
                  controlType:
                    type: string
                    example: TEXT
                  categoryClassType:
                    type: string
                    example: ''
                  categoryId:
                    type: string
                    example: ''
                  listKey:
                    type: string
                    example: ''
                  showSpinner:
                    type: boolean
                    example: false
                  setActive:
                    type: boolean
                    example: false
                  hidden:
                    type: boolean
                    example: false
                  disabled:
                    type: boolean
                    example: false
                  presetLastSelection:
                    type: string
                    example: ''
                  customKey:
                    type: string
                    example: ''
                  type:
                    type: string
                    example: Custom
                  key:
                    type: string
                    example: Custom
        required: true
      responses:
        '200':
          description: ''
components:
  parameters:
    internalId:
      in: path
      name: internalId
      required: true
      description: The internal id of the organization
      schema:
        type: string
      example: 6aeb86c4fb154c46b2b5a1977245ac67
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````